### Function

# EDataServer util_change_uri_port

since: 3.46

#### Declaration [src]

    void
    e_util_change_uri_port (
      GUri** inout_uri,
      gint port
    )

#### Description [src]

Changes the port in the `inout_uri` to value `port`. As the `GUri` cannot be modified the `inout_uri` points to a new `GUri` at the end of the call and the previous structure is unreffed.

See: e_util_change_uri_component().

Available since: 3.46

#### Parameters

`inout_uri`

  Type: `GUri`

  A `GUri`.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`port`

  Type: `gint`

  The port number to set.